umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_birdview.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/birdview.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_BirdViewDockWidget_t
struct | qt_meta_stringdata_BirdView_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_BirdViewDockWidget_t | qt_meta_stringdata_BirdViewDockWidget
static const uint | qt_meta_data_BirdViewDockWidget []
static const qt_meta_stringdata_BirdView_t | qt_meta_stringdata_BirdView
static const uint | qt_meta_data_BirdView []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL [1/2]

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_BirdViewDockWidget_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_BirdViewDockWidget_t
Definition: moc_birdview.cpp:24

## ◆ QT_MOC_LITERAL [2/2]

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_BirdView_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_BirdView_t
Definition: moc_birdview.cpp:134

## Variable Documentation

## ◆ qt_meta_data_BirdView

const uint qt_meta_data_BirdView[]
| static

## ◆ qt_meta_data_BirdViewDockWidget

const uint qt_meta_data_BirdViewDockWidget[]
| static

Initial value:
= {
8,
0,
0, 0,
1, 14,
0, 0,
0, 0,
0, 0,
0,
1,
1, 1, 19, 2, 0x06 ,
QMetaType::Void, QMetaType::QSize, 3,
0
}

## ◆ qt_meta_stringdata_BirdView

const qt_meta_stringdata_BirdView_t qt_meta_stringdata_BirdView
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 8),
QT_MOC_LITERAL(1, 9, 19),
QT_MOC_LITERAL(2, 29, 0),
QT_MOC_LITERAL(3, 30, 5),
QT_MOC_LITERAL(4, 36, 15),
QT_MOC_LITERAL(5, 52, 19),
QT_MOC_LITERAL(6, 72, 4),
QT_MOC_LITERAL(7, 77, 13),
QT_MOC_LITERAL(8, 91, 6)
},
"BirdView\0viewPositionChanged\0\0delta\0"
"slotViewChanged\0slotDockSizeChanged\0"
"size\0slotDestroyed\0object"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_birdview.cpp:138

## ◆ qt_meta_stringdata_BirdViewDockWidget

const qt_meta_stringdata_BirdViewDockWidget_t qt_meta_stringdata_BirdViewDockWidget
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 18),
QT_MOC_LITERAL(1, 19, 11),
QT_MOC_LITERAL(2, 31, 0),
QT_MOC_LITERAL(3, 32, 4)
},
"BirdViewDockWidget\0sizeChanged\0\0size"
}